<h1>Angular demo</h1>

<h2>TS - HTML interactions </h2>
<app-html-ts-interactions></app-html-ts-interactions>

<h2>Structural directives</h2>
<app-structural-directives></app-structural-directives>

<h2>Routing</h2>
<app-routing></app-routing>

<h2>Component interactions (<code>&#64;Input</code>, <code>&#64;Output</code> and <code>ng-content</code>)</h2>
<app-component-interactions></app-component-interactions>

<h2>Template-driven forms</h2>
<app-template-driven-form></app-template-driven-form>

<h2>Reactive forms</h2>
<app-reactive-form></app-reactive-form>
